Page MenuHomePhabricator

Upgrade Jenkins to 1.609.3
Closed, ResolvedPublic

Description

We have a new Jenkins LTS version available:

1.609.2 has been released on 2015/07/28
1.609.3 has been released on 2015/09/02

Changelog http://jenkins-ci.org/changelog-stable

What's new in 1.609.3 (2015/09/02)
When NodeProvisioner processes planned nodes, it must always call spent() (issue 29568)
Sort by 'Free Disk Space' is incorrect (issue 29286)
Label expression help is missing in recent Jenkins versions (issue 29376)
The curious case of the Channel memory cycles (issue 28844)
Excessive classes being sent to slave machine (issue 28058)
What's new in 1.609.2 (2015/07/28)
NPE may happen if somebody tries to drop the e-mail JenkinsLocationConfiguration:setAdminAddress() (issue 28419)
Build History badges don't wrap (issue 28455)
Deadlock between Queue.maintain and Executor.interrupt (issue 28840)
Jenkins queue self-locking without apparent reason? (issue 28926)
Deadlock in hudson.model.Executor (issue 28690)
UnlabeledLoad.computeQueueLength() includes labeled jobs (issue 28446)
Job loading can be broken by a NPE in a build trigger (issue 27549)
post-build action statuses handling (issue 26964)

We should upgrade WMF Jenkins.

Full changelog is http://jenkins-ci.org/changelog (We currently run Jenkins 1.680.1).

Event Timeline

hashar created this task.Sep 3 2015, 10:23 AM
hashar raised the priority of this task from to Needs Triage.
hashar updated the task description. (Show Details)
hashar added subscribers: hashar, zeljkofilipin, dduvall.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptSep 3 2015, 10:23 AM
hashar triaged this task as Medium priority.Sep 3 2015, 10:24 AM
hashar set Security to None.
hashar moved this task from Untriaged to Next on the Continuous-Integration-Infrastructure board.
hashar moved this task from Backlog to Stalled on the Jenkins board.
hashar moved this task from Stalled to Fix released upstream on the Jenkins board.
Dzahn added a subscriber: Dzahn.

You can now run apt-get install jenkins on gallium. It will pull the new version. I just wanted to leave it to you to decide the moment to do it.

hashar claimed this task.Sep 4 2015, 2:43 PM

The package is available indeed:

$ ssh gallium.wikimedia.org apt-cache policy jenkins
jenkins:
  Installed: 1.609.1
  Candidate: 1.609.3
  Version table:
     1.609.3 0
       1001 http://apt.wikimedia.org/wikimedia/ precise-wikimedia/thirdparty amd64 Packages
 *** 1.609.1 0
        100 /var/lib/dpkg/status

We will upgrade it on Monday Sep. 7th @ 8:00am UTC.

I have added an entry on the deployment calendar: https://wikitech.wikimedia.org/w/index.php?title=Deployments&diff=176205&oldid=176117

Poked wikitech-l as well https://lists.wikimedia.org/pipermail/wikitech-l/2015-September/083086.html

hashar closed this task as Resolved.Sep 7 2015, 8:12 AM

Jenkins has been upgraded.